com.aispeech.dui.dds.agent

## Interface DMTaskCallback

-     public interface DMTaskCallback

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `DMTaskCallback.Type` 支持callback的dmTask类型

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.json.JSONObject` | `onDMTaskResult(org.json.JSONObject dmTaskResult, DMTaskCallback.Type type)` 对话task结果回调

- - ### Method Detail

    - #### onDMTaskResult

          org.json.JSONObject onDMTaskResult(org.json.JSONObject dmTaskResult,
                                             DMTaskCallback.Type type)

      对话task结果回调
      Parameters:
        `dmTaskResult` - 对话task结果
        `type` - 结果类型`DMTaskCallback.Type`
      Returns:
        返回dm task操作类型 : new JSONObject().put("ignore", true);